Skip to content

Authorize application access rights

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Authorize application access permissions to users, groups, organizations, or roles. If the user, group, organization, or role does not exist, skip and proceed to the next step of authorization without returning an error

Method name

ManagementClient.authorize_application_access

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
list<a ApplicationPermissionRecordItem[]Yes-List of authorized entities, up to 10 items
appIdstringYes-Application ID6229ffaxxxxxxxxcade3e3d9

Request Response

Type: IsSuccessRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a IsSuccessDtoWhether the operation is successful

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "success": true
  }
}

Data Structure

ApplicationPermissionRecordItem

NameTypeIs it required?DescriptionSample value
targetTypestringyesSubject typeUSER
namespaceCodestringnoPermission group code, required when subject type is "ROLE"code1
inheritByChildrenbooleannoWhen subject type is "ORG", whether authorization is inherited by child nodestrue
targetIdentifierarrayyesSubject identifier list, when subject type is "USER", the value should be user ID; when subject type is "GROUP", the value should be group code; when subject type is "ROLE" When the subject type is "ORG", the value should be the role code; when the subject type is "ORG", the value should be the organization node ID. Maximum 50 entries.["6229ffaxxxxxxxxcade3e3d9"]
effectstringyesAuthorization effect, allow or denyALLOW

IsSuccessDto

NameTypeIs it requiredDescriptionSample value
successbooleanyesWhether the operation was successfultrue

Agent infrastructure for identity, memory, and web action.